KHTMLPartIface Class Reference

`#include <khtml_iface.h>`

Inherits DCOPObject.

## Public Member Functions

| KHTMLPartIface (KHTMLPart *)

## Detailed Description

DCOP interface for KHTML.

Definition at line 32 of file khtml_iface.h.

## Member Function Documentation

void KHTMLPartIface::activateNode | ( |  | ) |

Activate the node that currently has the focus (emulates pressing Return)

Definition at line 149 of file khtml_iface.cc.

bool KHTMLPartIface::autoloadImages | ( |  | ) | const

Returns whether images contained in the document are loaded automatically or not.

Note
  that the returned information is unrelieable as long as no begin() was called.

Definition at line 98 of file khtml_iface.cc.

bool KHTMLPartIface::dndEnabled | ( |  | ) | const

Returns whether Dragn'n'Drop support is enabled or not.

Definition at line 68 of file khtml_iface.cc.

QString KHTMLPartIface::encoding | ( |  | ) | const

Returns the encoding the page currently uses.

Note that the encoding might be different from the charset.

Definition at line 123 of file khtml_iface.cc.

QString KHTMLPartIface::evalJS | ( | const QString & | script | ) |

Evaluate a given piece of Javascript code.

Definition at line 226 of file khtml_iface.cc.

bool KHTMLPartIface::gotoAnchor | ( | const QString & | name | ) |

Finds the anchor named `name`.

If the anchor is found, the widget scrolls to the closest position. Returns `true` if the anchor has been found.

Definition at line 134 of file khtml_iface.cc.

bool KHTMLPartIface::javaEnabled | ( |  | ) | const

Return if Java applet support is enabled/disabled.

Definition at line 78 of file khtml_iface.cc.

bool KHTMLPartIface::jScriptEnabled | ( |  | ) | const

Returns `true` if Javascript support is enabled or `false` otherwise.

Definition at line 48 of file khtml_iface.cc.

QString KHTMLPartIface::lastModified | ( |  | ) | const

Last-modified date (in raw string format), if received in the [HTTP] headers.

Definition at line 163 of file khtml_iface.cc.

bool KHTMLPartIface::metaRefreshEnabled | ( |  | ) | const

Returns `true` if automtaic forwarding is enabled.

Definition at line 58 of file khtml_iface.cc.

bool KHTMLPartIface::nextAnchor | ( |  | ) |

Go to next Anchor.

This is useful to navigate from outside of the navigator.

Since
  3.2

Definition at line 139 of file khtml_iface.cc.

bool KHTMLPartIface::onlyLocalReferences | ( |  | ) | const

Returns whether references should be loaded ( default false )

Definition at line 113 of file khtml_iface.cc.

bool KHTMLPartIface::pluginsEnabled | ( |  | ) | const

Returns trie if plugins are enabled/disabled.

Definition at line 88 of file khtml_iface.cc.

bool KHTMLPartIface::prevAnchor | ( |  | ) |

Go to previous Anchor.

Since
  3.2

Definition at line 144 of file khtml_iface.cc.

void KHTMLPartIface::print | ( | bool | quick | ) |

Print the contents of the current html view.

Parameters

  quick | if true, fully automated printing, without the print dialog.

Definition at line 231 of file khtml_iface.cc.

void KHTMLPartIface::selectAll | ( |  | ) |

Marks all text in the document as selected.

Definition at line 158 of file khtml_iface.cc.

QString KHTMLPartIface::selectedText | ( |  | ) | const

Returns the text the user has marked.

Definition at line 216 of file khtml_iface.cc.

void KHTMLPartIface::setAutoloadImages | ( | bool | enable | ) |

Specifies whether images contained in the document should be loaded automatically or not.

Note
  Request will be ignored if called before begin().

Definition at line 93 of file khtml_iface.cc.

void KHTMLPartIface::setDNDEnabled | ( | bool | b | ) |

Enables or disables Drag'n'Drop support.

A drag operation is started if the users drags a link.

Definition at line 63 of file khtml_iface.cc.

bool KHTMLPartIface::setEncoding | ( | const QString & | name | ) |

Sets the encoding the page uses.

This can be different from the charset. The widget will try to reload the current page in the new encoding, if url() is not empty.

Definition at line 118 of file khtml_iface.cc.

void KHTMLPartIface::setFixedFont | ( | const QString & | name | ) |

Sets the fixed font style.

Parameters

  name | The font name to use for fixed text, e.g. the `<pre>` tag.

Definition at line 128 of file khtml_iface.cc.

void KHTMLPartIface::setJavaEnabled | ( | bool | enable | ) |

Enables/disables Java applet support.

Note that calling this function will permanently override the User settings about Java applet support. Not calling this function is the only way to let the default settings apply.

Definition at line 73 of file khtml_iface.cc.

void KHTMLPartIface::setJScriptEnabled | ( | bool | enable | ) |

Enable/disable Javascript support.

Note that this will in either case permanently override the default usersetting. If you want to have the default UserSettings, don't call this method.

Definition at line 43 of file khtml_iface.cc.

void KHTMLPartIface::setMetaRefreshEnabled | ( | bool | enable | ) |

Enable/disable the automatic forwarding by <meta http-equiv="refresh" ....

>

Definition at line 108 of file khtml_iface.cc.

void KHTMLPartIface::setOnlyLocalReferences | ( | bool | enable | ) |

Security option.

Specify whether only local references ( stylesheets, images, scripts, subdocuments ) should be loaded. ( default false - everything is loaded, if the more specific options allow )

Definition at line 103 of file khtml_iface.cc.

void KHTMLPartIface::setPluginsEnabled | ( | bool | enable | ) |

Enables or disables plugins via, default is enabled.

Definition at line 83 of file khtml_iface.cc.

void KHTMLPartIface::setUserStyleSheet | ( | const QString & | styleSheet | ) |

Sets a user defined style sheet to be used on top of the HTML 4 default style sheet.

This gives a wide range of possibilities to change the layout of the page.

Definition at line 211 of file khtml_iface.cc.

void KHTMLPartIface::stopAnimations | ( |  | ) |

Stops display of animated images.

Definition at line 178 of file khtml_iface.cc.

KURL KHTMLPartIface::url | ( |  | ) | const

Returns
  the current URL

Definition at line 38 of file khtml_iface.cc.

The documentation for this class was generated from the following files:

- khtml_iface.h
- khtml_iface.cc

KDE Home | KDE Accessibility Home | Description of Access Keys